#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeframever	5.115
%define		qtver		5.15.2
%define		kfname		kquickcharts

Summary:	Plugin for beautiful and interactive charts
Summary(pl.UTF-8):	Wtyczka do ładnych i interaktywnych wykresów
Name:		kf5-%{kfname}
Version:	5.115.0
Release:	2
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/frameworks/%{kdeframever}/%{kfname}-%{version}.tar.xz
# Source0-md5:	6ae56540d6d56086701a5dc130917e32
URL:		https://kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5Gui-devel
BuildRequires:	Qt5Network-devel >= 5.11.1
BuildRequires:	Qt5Qml-devel
BuildRequires:	Qt5Quick-devel
BuildRequires:	cmake >= 3.16
BuildRequires:	kf5-extra-cmake-modules >= %{kdeframever}
BuildRequires:	ninja
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Qt Quick plugin for beautiful and interactive charts.

%description -l pl.UTF-8
Wtyczka Qt Quick do ładnych i interaktywnych wykresów.

%package devel
Summary:	Header files for %{kaname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kaname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	Qt5Core-devel >= %{qtver}
Requires:	kf5-extra-cmake-modules >= %{kdeframever}

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kaname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON

%ninja_build -C build

%if %{with tests}
%ninja_build -C build test
%endif


%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{_libdir}/qt5/qml/org/kde/quickcharts
%dir %{_libdir}/qt5/qml/org/kde/quickcharts/controls
%dir %{_libdir}/qt5/qml/org/kde/quickcharts/controls/styles
%dir %{_libdir}/qt5/qml/org/kde/quickcharts/controls/styles/org.kde.desktop
%{_libdir}/qt5/qml/org/kde/quickcharts/controls/libQuickChartsControls.so
%{_libdir}/qt5/qml/org/kde/quickcharts/controls/styles/org.kde.desktop/Theme.qml
%{_libdir}/qt5/qml/org/kde/quickcharts/controls/qmldir
%{_libdir}/qt5/qml/org/kde/quickcharts/controls/Theme.qml
%{_libdir}/qt5/qml/org/kde/quickcharts/controls/PieChartControl.qml
%{_libdir}/qt5/qml/org/kde/quickcharts/controls/LegendDelegate.qml
%{_libdir}/qt5/qml/org/kde/quickcharts/controls/LineChartControl.qml
%{_libdir}/qt5/qml/org/kde/quickcharts/controls/Legend.qml
%{_libdir}/qt5/qml/org/kde/quickcharts/controls/Logging.qml
%attr(755,root,root) %{_libdir}/qt5/qml/org/kde/quickcharts/libQuickCharts.so
%{_libdir}/qt5/qml/org/kde/quickcharts/qmldir
%{_datadir}/qlogging-categories5/kquickcharts.categories

%files devel
%defattr(644,root,root,755)
# %{_includedir}/KF5/kqtquickcharts_version.h
%{_libdir}/cmake/KF5QuickCharts
%changelog
* Fri Apr 19 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf5-kquickcharts.git;a=log;h=master

* Fri Apr 19 2024 Jakub Bogusz <qboosh@pld-linux.org> 2328d28
- release 2

* Fri Apr 19 2024 Jakub Bogusz <qboosh@pld-linux.org> e9900de
- pl

* Fri Apr 19 2024 Jakub Bogusz <qboosh@pld-linux.org> 0217d1f
- updated URL

* Fri Apr 19 2024 Jakub Bogusz <qboosh@pld-linux.org> b068809
- version for ninja macros

* Fri Apr 19 2024 Jakub Bogusz <qboosh@pld-linux.org> 774de76
- -devel dependencies

* Thu Mar 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 0aa18da
- updated to 5.115.0

* Thu Mar 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> a673f9d
- Revert "- updated to 5.249.0; rel 0.1"

* Sat Feb 03 2024 Witold Filipczyk <witekfl@poczta.onet.pl> cb721b7
- updated to 5.249.0; rel 0.1

* Sun Jan 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 73bd2a5
- updated to 5.114.0

* Fri Dec 15 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 9c78b34
- updated to 5.113.0

* Mon Nov 13 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 7322735
- updated to 5.112.0

* Thu Oct 19 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 06cd8ee
- updated to 5.111.0

* Sun Sep 10 2023 Witold Filipczyk <witekfl@poczta.onet.pl> b555af0
- updated to 5.110.0

* Fri Aug 18 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 10ccac0
- updated to 5.109.0; cmake -B build

* Sun Jul 09 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 8ed369a
- updated to 5.108.0

* Sun Jun 11 2023 Witold Filipczyk <witekfl@poczta.onet.pl> cbe9241
- updated to 5.107.0

* Sun May 14 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 7cb2323
- updated to 5.106.0

* Sun Apr 09 2023 Witold Filipczyk <witekfl@poczta.onet.pl> d82e240
- updated to 5.105.0

* Sun Apr 09 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 5e8661e
- rebuild against QT 5.15.9

* Mon Mar 13 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 08baca5
- updated to 5.104.0

